use inc::Module::Install;
name 'Imager-AnimeFace';
all_from 'lib/Imager/AnimeFace.pm';

configure_requires  'Imager' => '0.0';
requires 'Imager' => 0.0;

auto_include;
WriteAll();

sub MY::post_constants {
    eval { require Imager::ExtUtils };
    if ($@) {
	warn "*** You must install Imager.";
	exit 0;
    }
    my $typemap  = Imager::ExtUtils->typemap;
    my $includes = Imager::ExtUtils->includes;
    return <<"POST_CONST";
XSUBPPARGS += -typemap $typemap
INC += -Wall -msse2 $includes $ENV{CFLAGS}
LDFLAGS +=  $ENV{LDFLAGS}  -lnvxs
LDDLFLAGS +=  $ENV{LDFLAGS} -lnvxs 
POST_CONST
}
