#!/usr/local/bin/perl
use lib qw(
        /home/udp/local/lib/perl5/site_perl/5.8.8/mach
        /home/udp/local/lib/perl5/site_perl/5.8.8
);
use Imager;
use Imager::AnimeFace;
use strict;
use warnings;
use Data::Dumper;
my $im = Imager->new();
my @results;

$im->read(file=>"./test.jpg");

my $results = detect_animeface($im);
my $blue = Imager::Color->new(0, 0, 255);
print "\n";
foreach my $face (@{$results}) {
    $im->box(
	xmin => $face->{face}->{x},
	ymin => $face->{face}->{y},
	xmax => $face->{face}->{x} + $face->{face}->{width},
	ymax => $face->{face}->{y} + $face->{face}->{height},
	color => $blue
    );
    printf("%d,%d,%d\n", $face->{face}->{x}, $face->{face}->{y},
	   $face->{face}->{width});
}

$im->write(file => "out.jpeg", type=>'jpeg');


